Bug 1311947 (CVE-2016-0789) - CVE-2016-0789 jenkins: HTTP response splitting vulnerability (SECURITY-238)
Summary: CVE-2016-0789 jenkins: HTTP response splitting vulnerability (SECURITY-238)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-0789
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1311951 1311952 1320309 1324676 1324677
Blocks: 1320308 1324911
TreeView+ depends on / blocked
 
Reported: 2016-02-25 11:28 UTC by Andrej Nemec
Modified: 2019-09-29 13:45 UTC (History)
15 users (show)

Fixed In Version: Jenkins 1.650, Jenkins 1.642.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-25 23:27:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0711 normal SHIPPED_LIVE Important: jenkins security update 2016-05-03 19:30:17 UTC
Red Hat Product Errata RHSA-2016:1773 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 2.2.10 security, bug fix, and enhancement update 2016-08-24 23:41:18 UTC

Description Andrej Nemec 2016-02-25 11:28:59 UTC
The following flaw was found in Jenkins:

An HTTP response splitting vulnerability in the CLI command documentation allowed attackers to craft Jenkins URLs that serve malicious content.

External References:

https://wiki.jenkins-ci.org/display/SECURITY/Jenkins+Security+Advisory+2016-02-24

Comment 3 errata-xmlrpc 2016-05-03 15:31:50 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Enterprise 3.1

Via RHSA-2016:0711 https://access.redhat.com/errata/RHSA-2016:0711

Comment 4 errata-xmlrpc 2016-08-24 19:44:41 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Enterprise 2.2

Via RHSA-2016:1773 https://rhn.redhat.com/errata/RHSA-2016-1773.html


Note You need to log in before you can comment on or make changes to this bug.